package com.ruoyi.system.domain.vo;

import com.ruoyi.common.annotation.Excel;

import java.util.List;

public class DoumuProductInfoVo {

    /** ID */
    private List<Long> productIdList;

    /** 订单号 */
    private String orderNumber;

    /** 联系人姓名 */
    private String name;

    /** 交付方式（1：邮寄，2：自取） */
    private String deliveryType;

    /** 手机号码 */
    private String phonenumber;

    /** 数量 */
    private String quantity;

    /** 省编号 */
    private String provinceId;

    /** 省 */
    private String province;

    /** 市id */
    private String cityId;

    /** 市 */
    private String city;

    /** 区县id */
    private String countyId;

    /** 区县 */
    private String county;

    /** 收货地址 */
    private String address;

    /** 经度 */
    private String lon;

    /** 纬度 */
    private String lat;


    /** 当前流程记录（字典值，用户自己配置） */
    private String flowType;

    /** 1:未支付,2:已支付，3：已结束（已邮寄或已自取） */
    private String status;


    /** 快递单号 */
    private String mailNo;



    private String beginTime;
    private String endTime;

    public String getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(String beginTime) {
        this.beginTime = beginTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public List<Long> getProductIdList() {
        return productIdList;
    }

    public void setProductIdList(List<Long> productIdList) {
        this.productIdList = productIdList;
    }

    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setDeliveryType(String deliveryType)
    {
        this.deliveryType = deliveryType;
    }

    public String getDeliveryType()
    {
        return deliveryType;
    }
    public void setPhonenumber(String phonenumber)
    {
        this.phonenumber = phonenumber;
    }

    public String getPhonenumber()
    {
        return phonenumber;
    }
    public void setAddress(String address)
    {
        this.address = address;
    }

    public String getAddress()
    {
        return address;
    }
    public void setFlowType(String flowType)
    {
        this.flowType = flowType;
    }

    public String getFlowType()
    {
        return flowType;
    }
    public void setMailNo(String mailNo)
    {
        this.mailNo = mailNo;
    }

    public String getMailNo()
    {
        return mailNo;
    }

    public String getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(String orderNumber) {
        this.orderNumber = orderNumber;
    }

    public String getProvinceId() {
        return provinceId;
    }

    public void setProvinceId(String provinceId) {
        this.provinceId = provinceId;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCityId() {
        return cityId;
    }

    public void setCityId(String cityId) {
        this.cityId = cityId;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getCountyId() {
        return countyId;
    }

    public void setCountyId(String countyId) {
        this.countyId = countyId;
    }

    public String getCounty() {
        return county;
    }

    public void setCounty(String county) {
        this.county = county;
    }

    public String getLon() {
        return lon;
    }

    public void setLon(String lon) {
        this.lon = lon;
    }

    public String getLat() {
        return lat;
    }

    public void setLat(String lat) {
        this.lat = lat;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getQuantity() {
        return quantity;
    }

    public void setQuantity(String quantity) {
        this.quantity = quantity;
    }


}
